<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content component">
                   <div class="content-data">




<ol class="breadcrumb">
  <li>Components</li>
  <li>UploadInputComponent</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
        <li >
            <a href="#templateData" role="tab" id="templateData-tab" data-toggle="tab" data-link="template">Template</a>
        </li>
        <li >
            <a href="#styleData" role="tab" id="styleData-tab" data-toggle="tab" data-link="style">Styles</a>
        </li>
        <li >
            <a href="#tree" role="tab" id="tree-tab" data-toggle="tab" data-link="dom-tree">DOM Tree</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info"><p class="comment">
    <h3>File</h3>
</p>
<p class="comment">
    <code>src/app/shared/upload-input/upload-input.component.ts</code>
</p>



    <p class="comment">
        <h3>Implements</h3>
    </p>
    <p class="comment">
                <code><a href="../interfaces/ConfirmBeforeQuit.html" target="_self" >ConfirmBeforeQuit</a></code>
    </p>


<section>
    <h3>Metadata</h3>
    <table class="table table-sm table-hover">
        <tbody>











            <tr>
                <td class="col-md-3">selector</td>
                <td class="col-md-9"><code>upload-input</code></td>
            </tr>

            <tr>
                <td class="col-md-3">styleUrls</td>
                <td class="col-md-9"><code>./upload-input.component.scss</code></td>
            </tr>



            <tr>
                <td class="col-md-3">templateUrl</td>
                <td class="col-md-9"><code>./upload-input.component.html</code></td>
            </tr>








        </tbody>
    </table>
</section>

    <section>
    <h3 id="index">Index</h3>
    <table class="table table-sm table-bordered index-table">
        <tbody>
                <tr>
                    <td class="col-md-4">
                        <h6><b>Properties</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#file">file</a>
                            </li>
                            <li>
                                <a href="#fileInput">fileInput</a>
                            </li>
                            <li>
                                <a href="#options">options</a>
                            </li>
                            <li>
                                <a href="#uploadForm">uploadForm</a>
                            </li>
                            <li>
                                <a href="#uploadInProgress">uploadInProgress</a>
                            </li>
                            <li>
                                <a href="#uploadInput">uploadInput</a>
                            </li>
                            <li>
                                <a href="#uploadProgress">uploadProgress</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Methods</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#addAuthenticationIfAvailable">addAuthenticationIfAvailable</a>
                            </li>
                            <li>
                                <a href="#createForm">createForm</a>
                            </li>
                            <li>
                                <a href="#isFormModified">isFormModified</a>
                            </li>
                            <li>
                                <a href="#onUploadOutput">onUploadOutput</a>
                            </li>
                            <li>
                                <a href="#preview">preview</a>
                            </li>
                            <li>
                                <a href="#startUpload">startUpload</a>
                            </li>
                            <li>
                                    <span class="modifier">Private</span>
                                <a href="#updateUpload">updateUpload</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Inputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#checkBeforeUpload">checkBeforeUpload</a>
                            </li>
                            <li>
                                <a href="#fileAccept">fileAccept</a>
                            </li>
                            <li>
                                <a href="#placeholder">placeholder</a>
                            </li>
                            <li>
                                <a href="#progressText">progressText</a>
                            </li>
                            <li>
                                <a href="#uploadIcon">uploadIcon</a>
                            </li>
                            <li>
                                <a href="#uploadText">uploadText</a>
                            </li>
                            <li>
                                <a href="#uploadUrl">uploadUrl</a>
                            </li>
                        </ul>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <h6><b>Outputs</b></h6>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <ul class="index-list">
                            <li>
                                <a href="#uploadDone">uploadDone</a>
                            </li>
                            <li>
                                <a href="#uploadStarted">uploadStarted</a>
                            </li>
                        </ul>
                    </td>
                </tr>



                    <tr>
                        <td class="col-md-4">
                            <h6><b>Accessors</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                    <a href="#timeLeft">timeLeft</a>
                                </li>
                            </ul>
                        </td>
                    </tr>
        </tbody>
    </table>
</section>

    <section>
    <h3 id="constructor">Constructor</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
<code>constructor(formBuilder: <a href="https://angular.io/api/forms/FormBuilder" target="_blank">FormBuilder</a>, httpService: <a href="../injectables/HttpParameters.html">HttpParameters</a>, translateService: TranslateService, dialog: MatDialog)</code>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-4">
                                <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:43</a></div>
                            </td>
                        </tr>

                <tr>
                    <td class="col-md-4">
                            <div>
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>formBuilder</td>
                                                  
                                                        <td>
                                                                    <code><a href="https://angular.io/api/forms/FormBuilder" target="_blank" >FormBuilder</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>httpService</td>
                                                  
                                                        <td>
                                                                    <code><a href="../injectables/HttpParameters.html" target="_self" >HttpParameters</a></code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>translateService</td>
                                                  
                                                        <td>
                                                                    <code>TranslateService</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                                <tr>
                                                        <td>dialog</td>
                                                  
                                                        <td>
                                                                    <code>MatDialog</code>
                                                        </td>
                                                  
                                                    <td>
                                                            No
                                                    </td>
                                                    
                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    <h3 id="inputs">Inputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="checkBeforeUpload"></a>
                        <code>checkBeforeUpload</code>
                    </td>
                    <td class="col-md-10">
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="41" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:41</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="fileAccept"></a>
                        <code>fileAccept</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="40" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:40</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="placeholder"></a>
                        <code>placeholder</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="35" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:35</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="progressText"></a>
                        <code>progressText</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="39" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:39</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="uploadIcon"></a>
                        <code>uploadIcon</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="37" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:37</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="uploadText"></a>
                        <code>uploadText</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="38" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:38</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="uploadUrl"></a>
                        <code>uploadUrl</code>
                    </td>
                    <td class="col-md-10">
                            <p>
                            <em>Type :</em>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/string" target="_blank" >string</a></code>

                            </p>
                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="36" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:36</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>
    <section>
    <h3 id="outputs">Outputs</h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="uploadDone"></a>
                        <code>uploadDone</code>
                    </td>
                    <td class="col-md-10">
                        <em><code>$event</code> Type:</em>    <code><a href="https://angular.io/api/core/EventEmitter" target="_blank" >EventEmitter</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="42" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:42</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-2">
                        <a name="uploadStarted"></a>
                        <code>uploadStarted</code>
                    </td>
                    <td class="col-md-10">
                        <em><code>$event</code> Type:</em>    <code><a href="https://angular.io/api/core/EventEmitter" target="_blank" >EventEmitter</a></code>

                    </td>
                </tr>
                        <tr>
                            <td class="col-md-2" colspan="2">
                                    <div class="io-line">Defined in <a href="" data-line="43" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:43</a></div>
                            </td>
                        </tr>
            </tbody>
        </table>
</section>


    <section>
    
        <h3 id="methods">
            Methods
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="addAuthenticationIfAvailable"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            addAuthenticationIfAvailable
                            </b>
                            <a href="#addAuthenticationIfAvailable"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>addAuthenticationIfAvailable(event: <a href="../classes/UploadInput.html">UploadInput</a>)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="165" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:165</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>event</td>
                                                        <td>
                                                                    <code><a href="../classes/UploadInput.html" target="_self" >UploadInput</a></code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="createForm"></a>
                        <span class="name">
                            <b>
                            createForm
                            </b>
                            <a href="#createForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>createForm()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="57" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:57</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="isFormModified"></a>
                        <span class="name">
                            <b>
                            isFormModified
                            </b>
                            <a href="#isFormModified"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>isFormModified()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="53" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:53</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/boolean" target="_blank" >boolean</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="onUploadOutput"></a>
                        <span class="name">
                            <b>
                            onUploadOutput
                            </b>
                            <a href="#onUploadOutput"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>onUploadOutput(output: UploadOutput)</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="66" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:66</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                    <b>Parameters :</b>
                                    <table class="params">
                                        <thead>
                                            <tr>
                                                <td>Name</td>
                                                    <td>Type</td>
                                                <td>Optional</td>
                                            </tr>
                                        </thead>
                                        <tbody>
                                                <tr>
                                                        <td>output</td>
                                                        <td>
                                                                    <code>UploadOutput</code>
                                                        </td>
                                                    
                                                    <td>
                                                            No
                                                    </td>
                                                    

                                                </tr>
                                        </tbody>
                                    </table>
                            </div>
                            <div>
                            </div>
                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                                <div class="io-description">
                                    
                                </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="preview"></a>
                        <span class="name">
                            <b>
                            preview
                            </b>
                            <a href="#preview"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>preview()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="146" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:146</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="startUpload"></a>
                        <span class="name">
                            <b>
                            startUpload
                            </b>
                            <a href="#startUpload"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
<code>startUpload()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="124" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:124</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="updateUpload"></a>
                        <span class="name">
                            <b>
                                <span class="modifier">Private</span>
                            updateUpload
                            </b>
                            <a href="#updateUpload"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                            <span class="modifier-icon icon ion-ios-reset"></span>
                        <code>updateUpload()</code>
                    </td>
                </tr>


                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="91" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:91</a></div>
                            </td>
                        </tr>


                <tr>
                    <td class="col-md-4">

                            <div class="io-description">
                                <b>Returns : </b>    <code><a href="https://www.typescriptlang.org/docs/handbook/basic-types.html" target="_blank" >void</a></code>

                            </div>
                    </td>
                </tr>
            </tbody>
        </table>
</section>

    <section>
    
        <h3 id="inputs">
            Properties
        </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="file"></a>
                        <span class="name">
                            <b>
                            file
                            </b>
                            <a href="#file"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>file:     <code>UploadFile</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>UploadFile</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="23" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:23</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="fileInput"></a>
                        <span class="name">
                            <b>
                            fileInput
                            </b>
                            <a href="#fileInput"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>fileInput:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <b>Decorators : </b>
                            <br />
                            <code>
                                @ViewChild(&#x27;fileInput&#x27;)<br />
                            </code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="33" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:33</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="options"></a>
                        <span class="name">
                            <b>
                            options
                            </b>
                            <a href="#options"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>options:     <code>UploaderOptions</code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code>UploaderOptions</code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="21" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:21</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadForm"></a>
                        <span class="name">
                            <b>
                            uploadForm
                            </b>
                            <a href="#uploadForm"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadForm:     <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://angular.io/api/forms/FormGroup" target="_blank" >FormGroup</a></code>

                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="25" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:25</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInProgress"></a>
                        <span class="name">
                            <b>
                            uploadInProgress
                            </b>
                            <a href="#uploadInProgress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadInProgress:     <code></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>false</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="24" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:24</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadInput"></a>
                        <span class="name">
                            <b>
                            uploadInput
                            </b>
                            <a href="#uploadInput"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadInput:     <code><a href="../classes/UploadInput.html" target="_self" >EventEmitter&lt;UploadInput&gt;</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="../classes/UploadInput.html" target="_self" >EventEmitter&lt;UploadInput&gt;</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>new EventEmitter&lt;UploadInput&gt;()</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="22" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:22</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="uploadProgress"></a>
                        <span class="name">
                            <b>
                            uploadProgress
                            </b>
                            <a href="#uploadProgress"><span class="icon ion-ios-link"></span></a>
                        </span>
                    </td>
                </tr>
                <tr>
                    <td class="col-md-4">
                        <code>uploadProgress:     <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>
</code>
                    </td>
                </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Type : </i>    <code><a href="https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/object" target="_blank" >object</a></code>

                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <i>Default value : </i><code>{
    percent: 0,
    eta: 0
  }</code>
                        </td>
                    </tr>
                        <tr>
                            <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="28" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:28</a></div>
                            </td>
                        </tr>


            </tbody>
        </table>
</section>

    <section>
    <h3 id="accessors">
        Accessors
    </h3>
        <table class="table table-sm table-bordered">
            <tbody>
                <tr>
                    <td class="col-md-4">
                        <a name="timeLeft"></a>
                        <span class="name"><b>timeLeft</b><a href="#timeLeft"><span class="icon ion-ios-link"></span></a></span>
                    </td>
                </tr>

                <tr>
                    <td class="col-md-4">
                        <span class="accessor"><b>get</b><code>timeLeft()</code></span>
                    </td>
                </tr>
                            <tr>
                                <td class="col-md-4">
                                    <div class="io-line">Defined in <a href="" data-line="76" class="link-to-prism">src/app/shared/upload-input/upload-input.component.ts:76</a></div>
                                </td>
                            </tr>

            </tbody>
        </table>
</section>
</div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { Component, EventEmitter, Input, Output, ViewChild } from &#x27;@angular/core&#x27;;
import { UploaderOptions, UploadFile, UploadInput, UploadOutput, UploadStatus } from &#x27;ngx-uploader&#x27;;
import { MatDialog } from &#x27;@angular/material&#x27;;
import { TechnicalErrorDialogComponent } from &#x27;../../core/technical-error-dialog/technical-error-dialog.component&#x27;;
import { FormBuilder, FormGroup, Validators } from &#x27;@angular/forms&#x27;;
import * as moment from &quot;moment&quot;;
import { TranslateService } from &#x27;@ngx-translate/core&#x27;;
import { ValidationErrorModel } from &#x27;../../core/service/http/validation.error.model&#x27;;
import { DateInterceptor } from &#x27;../../core/service/http/DateInterceptor&#x27;;
import { HttpParameters } from &#x27;../../core/service/http/http.parameters.service&#x27;;
import { AUTHORIZATION_KEY } from &#x27;../../core/authentication/authentication.service&#x27;;
import { ConfirmBeforeQuit } from &#x27;../../core/confirm-before-quit&#x27;;

@Component({
  selector: &#x27;upload-input&#x27;,
  templateUrl: &#x27;./upload-input.component.html&#x27;,
  styleUrls: [&#x27;./upload-input.component.scss&#x27;]
})
export class UploadInputComponent implements ConfirmBeforeQuit {

  options: UploaderOptions;
  uploadInput: EventEmitter&lt;UploadInput&gt; &#x3D; new EventEmitter&lt;UploadInput&gt;();
  file: UploadFile;
  uploadInProgress &#x3D; false;
  uploadForm: FormGroup;


  uploadProgress &#x3D; {
    percent: 0,
    eta: 0
  };

  @ViewChild(&#x27;fileInput&#x27;) fileInput;

  @Input() placeholder: string;
  @Input() uploadUrl: string;
  @Input() uploadIcon: string;
  @Input() uploadText: string;
  @Input() progressText: string;
  @Input() fileAccept: string;
  @Input() checkBeforeUpload;
  @Output() uploadDone &#x3D; new EventEmitter&lt;any&gt;();
  @Output() uploadStarted &#x3D; new EventEmitter&lt;boolean&gt;();

  constructor(private formBuilder: FormBuilder,
              private httpService: HttpParameters,
              private translateService: TranslateService,
              private dialog: MatDialog) {
    this.createForm();
  }


  isFormModified(): boolean {
    return !!this.file;
  }

  createForm() {
    this.uploadForm &#x3D; this.formBuilder.group({
      uploadFile: [
        {value: null},
        Validators.required
      ]
    });
  }

  onUploadOutput(output: UploadOutput): void {
    if (output.file) {
      this.file &#x3D; output.file;
      this.uploadForm.controls.uploadFile.setValue(this.file.nativeFile.name);
    }

    this.updateUpload();
  }


  get timeLeft() {
    let minutes &#x3D; Math.floor(this.uploadProgress.eta / 60);
    let seconds &#x3D; this.uploadProgress.eta - minutes * 60;
    if (minutes &gt; 5) {
      return this.translateService.instant(&quot;global.time.endAt&quot;) +
             moment().add(this.uploadProgress.eta, &quot;seconds&quot;).format(&quot;HH:mm:ss&quot;);
    }
    if (minutes &gt; 0) {
      return this.translateService.instant(&quot;global.time.timeLeft&quot;) +
             &#x60;${minutes}m ${seconds}s&#x60;;
    }
    return this.translateService.instant(&quot;global.time.timeLeft&quot;) +
           &#x60;${seconds}s&#x60;;
  }

  private updateUpload() {
    if (this.uploadInProgress) {
      if (this.file.progress.status &#x3D;&#x3D; UploadStatus.Done) {
        this.uploadForm.controls.uploadFile.enable();
        if (this.file.responseStatus &#x3D;&#x3D; 200) {
          let result &#x3D; JSON.parse(JSON.stringify(this.file.response), DateInterceptor.parseDateFields);
          this.uploadDone.next(result);
          this.file &#x3D; null;
          this.fileInput.nativeElement.value &#x3D; &#x27;&#x27;; // reset the HTML file input to avoid graphical glitch
          this.uploadForm.controls.uploadFile.markAsPristine();

        } else {
          this.uploadDone.next(null);

          if (this.file.responseStatus &#x3D;&#x3D; 400) {
            let businessError: ValidationErrorModel &#x3D; this.file.response;
            this.httpService.translateMessages(businessError);
            this.uploadForm.controls.uploadFile.setErrors(
              {&#x27;invalidFile&#x27;: {&#x27;message&#x27;: businessError.globalErrors[0][&#x27;message&#x27;]}});

          } else if (this.file.responseStatus &#x3D;&#x3D; 500) {
            this.dialog.open(TechnicalErrorDialogComponent, {data: this.file.response.message});
          }
        }
        this.uploadProgress.percent &#x3D; 0;
        this.uploadInProgress &#x3D; false;
      } else {
        this.uploadProgress.percent &#x3D; this.file.progress.data.percentage;
        this.uploadProgress.eta &#x3D; this.file.progress.data.eta;
      }
    }
  }

  startUpload(): void {
    this.uploadInProgress &#x3D; true;
    this.uploadForm.controls.uploadFile.disable();
    if (this.uploadStarted) {
      this.uploadStarted.next(true);
    }
    this.uploadProgress.percent &#x3D; 0;
    if (this.file) {
      this.file.progress.status &#x3D; UploadStatus.Queue;
    }

    const event: UploadInput &#x3D; {
      type: &#x27;uploadAll&#x27;,
      url: this.uploadUrl,
      method: &#x27;POST&#x27;
    };

    this.addAuthenticationIfAvailable(event);

    this.uploadInput.emit(event);
  }

  preview() {
    this.uploadForm.controls.uploadFile.markAsTouched();
    if (this.checkBeforeUpload) {
      const checkResult &#x3D; this.checkBeforeUpload();

      if (checkResult.subscribe) {
        checkResult.subscribe(result &#x3D;&gt; {
          if (result) {
            setTimeout(() &#x3D;&gt; this.startUpload());
          }
        })
      } else if (checkResult) {
        this.startUpload();
      }
    } else {
      this.startUpload();
    }
  }

  private addAuthenticationIfAvailable(event: UploadInput) {
    const authorization &#x3D; localStorage.getItem(AUTHORIZATION_KEY);
    if (authorization) {
      event.withCredentials &#x3D; false;
      event.headers &#x3D; {Authorization: &quot;Basic &quot; + authorization};
    }
  }
}
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-templateData">
        <pre class="line-numbers"><code class="language-html">&lt;form [formGroup]&#x3D;&quot;uploadForm&quot; novalidate&gt;
  &lt;input id&#x3D;&quot;uploadFile&quot;
         type&#x3D;&quot;file&quot;
         #fileInput
         ngFileSelect
         [options]&#x3D;&quot;options&quot;
         (uploadOutput)&#x3D;&quot;onUploadOutput($event)&quot;
         [uploadInput]&#x3D;&quot;uploadInput&quot;
         [accept]&#x3D;&quot;fileAccept&quot;&gt;

  &lt;div fxLayout fxLayoutGap&#x3D;&quot;25px&quot; class&#x3D;&quot;file-input&quot;&gt;
    &lt;button mat-button fxFlex&#x3D;&quot;none&quot;
            id&#x3D;&quot;browseButton&quot;
            color&#x3D;&quot;primary&quot;
            [disabled]&#x3D;&quot;uploadInProgress&quot;
            (click)&#x3D;&quot;fileInput.click()&quot;&gt;
      &lt;mat-icon&gt;attach_file&lt;/mat-icon&gt;&amp;nbsp;{{&quot;global.actions.browse&quot; | translate | uppercase}}
    &lt;/button&gt;

    &lt;mat-form-field fxFlex fxFlexAlign&#x3D;&quot;auto&quot;&gt;
      &lt;input matInput
             formControlName&#x3D;&quot;uploadFile&quot;
             [placeholder]&#x3D;&quot;placeholder | translate&quot;
             [value]&#x3D;&quot;file?.nativeFile?.name&quot;
             readonly
             required
             (click)&#x3D;&quot;fileInput.click()&quot;/&gt;
      &lt;mat-error *ngIf&#x3D;&quot;uploadForm.get(&#x27;uploadFile&#x27;).touched &amp;&amp; uploadForm.get(&#x27;uploadFile&#x27;).hasError(&#x27;required&#x27;)&quot;&gt;
        &lt;span&gt;{{&#x27;global.forms.errors.required&#x27; | translate}}&lt;/span&gt;
      &lt;/mat-error&gt;
      &lt;mat-error *ngIf&#x3D;&quot;uploadForm.get(&#x27;uploadFile&#x27;).touched &amp;&amp; uploadForm.get(&#x27;uploadFile&#x27;).hasError(&#x27;invalidFile&#x27;)&quot;&gt;
        &lt;span id&#x3D;&quot;business-error&quot;&gt;{{uploadForm.get(&#x27;uploadFile&#x27;).getError(&#x27;invalidFile&#x27;).message}}&lt;/span&gt;
      &lt;/mat-error&gt;
    &lt;/mat-form-field&gt;

    &lt;button mat-raised-button fxFlex&#x3D;&quot;none&quot;
            id&#x3D;&quot;uploadButton&quot;
            color&#x3D;&quot;primary&quot;
            [disabled]&#x3D;&quot;!file || uploadInProgress&quot;
            (click)&#x3D;&quot;preview()&quot;&gt;
      &lt;mat-icon&gt;{{uploadIcon}}&lt;/mat-icon&gt;&amp;nbsp;{{uploadText | translate | uppercase}}
    &lt;/button&gt;

  &lt;/div&gt;

  &lt;div class&#x3D;&quot;upload-progress&quot; fxLayout&#x3D;&quot;column&quot; fxLayoutGap&#x3D;&quot;10px&quot;
       *ngIf&#x3D;&quot;uploadInProgress&quot;&gt;
    &lt;span class&#x3D;&quot;upload-progress-percent&quot;&gt;{{progressText | translate}}: {{uploadProgress.percent}} %&lt;/span&gt;
    &lt;mat-progress-bar mode&#x3D;&quot;determinate&quot; [value]&#x3D;&quot;uploadProgress.percent&quot;&gt;&lt;/mat-progress-bar&gt;
    &lt;span&gt;{{timeLeft}}&lt;/span&gt;
  &lt;/div&gt;
&lt;/form&gt;
</code></pre>
    </div>

    <div class="tab-pane fade " id="c-styleData">
                <p class="comment">
                    <code>./upload-input.component.scss</code>
                </p>
                <pre class="line-numbers"><code class="language-scss">.file-input {
  align-items: baseline;
}

#uploadFile {
  width: 0.1rem;
  height: 0.1rem;
  opacity: 0;
  overflow: hidden;
  position: absolute;
  z-index: -1;
}

.upload-progress-percent {
  font-size: 2rem;
}

.mat-form-field-invalid {
  height: 7.1rem;
}

</code></pre>
    </div>

    <div class="tab-pane fade " id="c-tree">
        <div id="tree-container"></div>
        <div class="tree-legend">
            <div class="title">
                <b>Legend</b>
            </div>
            <div>
                <div class="color htmlelement"></div><span>Html element</span>
            </div>
            <div>
                <div class="color component"></div><span>Component</span>
            </div>
            <div>
                <div class="color directive"></div><span>Html element with directive</span>
            </div>
        </div>
    </div>

    
</div>

<script src="../js/libs/vis.min.js"></script>
<script src="../js/libs/htmlparser.js"></script>
<script src="../js/libs/deep-iterator.js"></script>
<script>
        var COMPONENT_TEMPLATE = '<div><form [formGroup]="uploadForm" novalidate>  <input id="uploadFile"         type="file"         #fileInput         ngFileSelect         [options]="options"         (uploadOutput)="onUploadOutput($event)"         [uploadInput]="uploadInput"         [accept]="fileAccept">  <div fxLayout fxLayoutGap="25px" class="file-input">    <button mat-button fxFlex="none"            id="browseButton"            color="primary"            [disabled]="uploadInProgress"            (click)="fileInput.click()">      <mat-icon>attach_file</mat-icon>&nbsp;{{"global.actions.browse" | translate | uppercase}}    </button>    <mat-form-field fxFlex fxFlexAlign="auto">      <input matInput             formControlName="uploadFile"             [placeholder]="placeholder | translate"             [value]="file?.nativeFile?.name"             readonly             required             (click)="fileInput.click()"/>      <mat-error *ngIf="uploadForm.get(\'uploadFile\').touched && uploadForm.get(\'uploadFile\').hasError(\'required\')">        <span>{{\'global.forms.errors.required\' | translate}}</span>      </mat-error>      <mat-error *ngIf="uploadForm.get(\'uploadFile\').touched && uploadForm.get(\'uploadFile\').hasError(\'invalidFile\')">        <span id="business-error">{{uploadForm.get(\'uploadFile\').getError(\'invalidFile\').message}}</span>      </mat-error>    </mat-form-field>    <button mat-raised-button fxFlex="none"            id="uploadButton"            color="primary"            [disabled]="!file || uploadInProgress"            (click)="preview()">      <mat-icon>{{uploadIcon}}</mat-icon>&nbsp;{{uploadText | translate | uppercase}}    </button>  </div>  <div class="upload-progress" fxLayout="column" fxLayoutGap="10px"       *ngIf="uploadInProgress">    <span class="upload-progress-percent">{{progressText | translate}}: {{uploadProgress.percent}} %</span>    <mat-progress-bar mode="determinate" [value]="uploadProgress.percent"></mat-progress-bar>    <span>{{timeLeft}}</span>  </div></form></div>'
    var COMPONENTS = [{'name': 'ActionCardComponent', 'selector': 'action-card'},{'name': 'AdminCardsViewComponent', 'selector': 'admin-cards-view'},{'name': 'AdminComponent', 'selector': 'app-admin'},{'name': 'AdminEditViewComponent', 'selector': 'admin-edit-view'},{'name': 'AppComponent', 'selector': 'app-root'},{'name': 'BallotDocumentationCardComponent', 'selector': 'ballot-documentation-card'},{'name': 'BallotDocumentationEditComponent', 'selector': ''},{'name': 'BaseCardComponent', 'selector': 'base-card'},{'name': 'BaseCreateComponent', 'selector': ''},{'name': 'BaseEditComponent', 'selector': ''},{'name': 'BusinessErrorDialogComponent', 'selector': 'app-business-error-dialog'},{'name': 'CardTitleCardComponent', 'selector': 'card-title-card'},{'name': 'CardTitleEditComponent', 'selector': 'card-title-edit'},{'name': 'CompletableCardComponent', 'selector': 'completable-card'},{'name': 'DashboardComponent', 'selector': ''},{'name': 'DefaultErrorsComponent', 'selector': 'default-errors'},{'name': 'DeploymentSummaryComponent', 'selector': 'deployment-summary'},{'name': 'DocumentCardComponent', 'selector': 'document-card'},{'name': 'DocumentEditComponent', 'selector': ''},{'name': 'DomainInfluenceCardComponent', 'selector': 'domain-influence-card'},{'name': 'DomainInfluenceEditComponent', 'selector': ''},{'name': 'DomainInfluenceGridComponent', 'selector': 'domain-influence-grid'},{'name': 'EditContentComponent', 'selector': 'edit-content'},{'name': 'EditLabelComponent', 'selector': 'edit-label'},{'name': 'EditWithSideBarComponent', 'selector': 'edit-with-side-bar'},{'name': 'ElectionDetailsComponent', 'selector': 'election-details'},{'name': 'ElectionDetailsElectoralListComponent', 'selector': 'election-details-electoral-lists'},{'name': 'ElectionDetailsTableComponent', 'selector': 'election-details-table'},{'name': 'ElectionPagePropertiesCardComponent', 'selector': 'election-page-properties-card'},{'name': 'ElectionPagePropertiesEditComponent', 'selector': 'election-page-properties-edit'},{'name': 'ElectionPagePropertiesMappingComponent', 'selector': 'election-page-properties-mapping'},{'name': 'ElectionPagePropertiesModelEditComponent', 'selector': 'election-page-properties-model-edit'},{'name': 'ElectionPagePropertiesModelListComponent', 'selector': 'election-page-properties-model-list'},{'name': 'ElectoralAuthorityKeyCardComponent', 'selector': 'electoral-authority-key-card'},{'name': 'ElectoralAuthorityKeyListComponent', 'selector': 'electoral-authority-key-list'},{'name': 'GroupedGridComponent', 'selector': 'grouped-grid'},{'name': 'HeaderComponent', 'selector': 'chvote-header'},{'name': 'HighlightedQuestionEditComponent', 'selector': 'highlighted-question-edit'},{'name': 'HighlightedQuestionListComponent', 'selector': 'highlighted-question-list'},{'name': 'KeyViewComponent', 'selector': 'key-view'},{'name': 'LocalizedHighlightedQuestionListComponent', 'selector': 'localized-highlighted-question-list'},{'name': 'LoginComponent', 'selector': ''},{'name': 'ManagementEntityCardComponent', 'selector': 'management-entity-card'},{'name': 'ManagementEntityEditComponent', 'selector': 'management-entity-edit'},{'name': 'ManagementEntityListComponent', 'selector': 'management-entity-list'},{'name': 'ManagementEntitySelectorComponent', 'selector': 'management-entity-selector'},{'name': 'MilestoneCardComponent', 'selector': 'milestone-card'},{'name': 'MilestoneEditComponent', 'selector': ''},{'name': 'ModelSelectorComponent', 'selector': 'election-page-bulk-update'},{'name': 'OperationListComponent', 'selector': 'operation-list'},{'name': 'OperationManagementComponent', 'selector': ''},{'name': 'ParametersComponent', 'selector': 'parameters'},{'name': 'ParametersEditComponent', 'selector': ''},{'name': 'ParametersNotificationComponent', 'selector': 'parameters-notification'},{'name': 'PrinterCardComponent', 'selector': 'printer-card'},{'name': 'PrinterEditComponent', 'selector': 'printer-edit'},{'name': 'PrinterViewComponent', 'selector': 'printer-view'},{'name': 'ProductionSummaryComponent', 'selector': 'production-summary'},{'name': 'RegisterCardComponent', 'selector': 'register-card'},{'name': 'RegisterListComponent', 'selector': 'register-list'},{'name': 'RegisterUploadComponent', 'selector': 'register-upload'},{'name': 'RepositoryCardComponent', 'selector': 'repository-card'},{'name': 'RepositoryEditComponent', 'selector': ''},{'name': 'SelectedElectoralAuthorityKeyCardComponent', 'selector': 'selected-electoral-authority-key-card'},{'name': 'SelectedElectoralAuthorityKeyEditComponent', 'selector': 'selected-electoral-authority-key-edit'},{'name': 'SideBarBackButtonComponent', 'selector': 'side-bar-back-button'},{'name': 'SideBarItemComponent', 'selector': 'side-bar-item'},{'name': 'SlideDetailsComponent', 'selector': 'slide-details'},{'name': 'SlideDetailsContentComponent', 'selector': 'slide-details-content'},{'name': 'SlideDetailsDetailsComponent', 'selector': 'slide-details-details'},{'name': 'SmallProgressSpinnerComponent', 'selector': 'small-progress-spinner'},{'name': 'TallyComponent', 'selector': 'tally'},{'name': 'TechnicalErrorDialogComponent', 'selector': 'app-technical-error-dialog'},{'name': 'TestingCardsLotCardComponent', 'selector': 'testing-cards-lot-card'},{'name': 'TestingCardsLotDetailsComponent', 'selector': 'testing-cards-lot-details'},{'name': 'TestingCardsLotListComponent', 'selector': 'testing-cards-lot-list'},{'name': 'TestingCardsLotSideBarItemComponent', 'selector': 'testing-cards-lot-side-bar-item'},{'name': 'TestSiteCardsDownloadButtonComponent', 'selector': 'test-site-cards-download-button'},{'name': 'TestSummaryComponent', 'selector': 'test-summary'},{'name': 'TextWithEditComponent', 'selector': 'text-with-edit'},{'name': 'UploadInputComponent', 'selector': 'upload-input'},{'name': 'VerificationCodeEditComponent', 'selector': 'verification-code-edit'},{'name': 'VotationDetailsComponent', 'selector': 'votation-details'},{'name': 'VotingMaterialComponent', 'selector': ''},{'name': 'VotingMaterialCreationProgressComponent', 'selector': 'voting-material-creation-progress'},{'name': 'VotingMaterialNotificationComponent', 'selector': 'voting-material-notification'},{'name': 'VotingPeriodComponent', 'selector': ''},{'name': 'VotingPeriodNotificationComponent', 'selector': 'voting-period-notification'},{'name': 'VotingSiteConfigurationCardComponent', 'selector': 'voting-site-configuration-card'},{'name': 'VotingSiteConfigurationComponent', 'selector': 'voting-site-configuration-edit'},{'name': 'VotingSitePeriodCardComponent', 'selector': 'voting-site-period-card'},{'name': 'VotingSitePeriodEditComponent', 'selector': 'voting-site-period-edit'},{'name': 'WaitingCover', 'selector': ''}];
    var DIRECTIVES = [{'name': 'CheckRolesDirective', 'selector': '[roles]'}];
    var ACTUAL_COMPONENT = {'name': 'UploadInputComponent'};
</script>
<script src="../js/tree.js"></script>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'component';
            var COMPODOC_CURRENT_PAGE_URL = 'UploadInputComponent.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
